# Package org.apache.trevni

A column file format.

See: Description

Interface Summary
Input: A byte source that supports positioned read and length.

Class Summary
BZip2Codec
ColumnFileMetaData: File-level metadata.
ColumnFileReader: Reads data from a column file.
ColumnFileWriter: Writes data to a column file.
ColumnMetaData: Metadata for a column.
ColumnValues<T extends Comparable>: An iterator over column values.
InputBytes: An `Input` backed with data in a byte array.
InputFile: An `Input` for files.
MetaData<T extends MetaData>: Base class for metadata.

Enum Summary
ValueType: The datatypes that may be stored in a column.

Exception Summary
TrevniRuntimeException: Base runtime exception thrown by Trevni.

## Package org.apache.trevni Description

A column file format.